Page MenuHomePhabricator

The mobile editor doesn't prefill with content like the desktop editor
Open, Needs TriagePublic

Description

  • Certain URIs prefill the wikitext editor with content e.g. this desktop url by a "create" query string parameter.
  • When visiting the same url on mobile although the non-JS error is prefilled with the correct content, this is not inherited by the mobile JavaScript based editor (wikitext OR VisualEditor).

original report

Whenever I try to edit a page with the mobile editor that already has mark-up it goes from this:

To this:

Is there a way to prevent the mobile editing interface from switching from the former to the latter?

Event Timeline

DonTrung created this task.Jan 15 2019, 4:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 4:01 PM
Aklapper changed the task status from Open to Stalled.Jan 15 2019, 4:15 PM

Hi @DonTrung, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem: Please add a more complete description to this report by providing a specific link to an example where the issue can be seen and information about your web browser(s) and operating system.
You can edit the task description by clicking Edit Task.
Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

While clicking on:

https://m.wikidata.org/w/index.php?preload=Wikidata%3ARequests+for+comment%2FExample&title=Wikidata:Requests_for_comment/Test&create=Create+a+request#/editor/all

It brings me to the first screen, then I don't have to click on anything at all and it switches to the inferior full screen mobile editor which automatically removes "{{RFCSubpage}}" and the category with no way to retrieve it.

Where does that URL come from? Which exact actions, starting on which page, create that URL above?
Please always provide a complete lists of steps to reproduce, step by step, as a list. See https://www.mediawiki.org/wiki/How_to_report_a_bug

Aklapper closed this task as Declined.Jan 23 2019, 9:30 AM

@DonTrung: Unfortunately closing this report as no further information has been provided.
After you have provided the information asked for and if this still happens, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

@Aklapper, I did report further action, if you click on the link in the mobile editor it should remove all templates in the markup as could be seen in the attached screenshots.

A pardon, I missed the follow-up comment, I'll do it step-by-step below.

First I try to create an RfC by using the standard "blue button".

First it brings me to the above page with all the right templates but then it (automatically) reloads 🔃.

Now all the pre-loaded content is gone, I have to manually add it again. This also happens with reporting vandalism on Wikimedia Commons and using standard messages.

Aklapper reopened this task as Open.

Thanks! Looking at https://www.mediawiki.org/wiki/Editor I think this is "MobileFrontend's current wikitext editor" hence adding MobileFrontend here.

Jdlrobson renamed this task from The mobile editor removes mark-up to The mobile editor doesn't prefill with content like the desktop editor.Jan 23 2019, 5:49 PM
Jdlrobson added a project: VisualEditor.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Trizek added a subscriber: Trizek.Feb 20 2019, 10:30 AM
JTannerWMF moved this task from To Triage to Freezer on the VisualEditor board.Feb 26 2019, 5:07 PM